25 34

What happened when in the development of PacDX/EmuDX
----------------------------------------------------

29th January 2000
-----------------

SEAL didnt work out, so I removed it

Uploaded all of the .dx files to the websites and mirrors were created.

Fixed Ms Pacman credit and extra life sounds.

Changed the GUI font to a more pleasant one and resized the buttons

Removed Joystick option temporarily

Removed the level skip cheats

Added the secrets

Fixed a small problem when roms are not available and then user picks the same game again.
This also works for missing .dx files.

Fixed Pacman eating sounds


28th January 2000
-----------------

Fixed some sounds in Ms Pacman and pacman

Fixed the blue screening effect for Donkey Kong

Fixed the rivets so that they have the "top" that they should have

Disabled save states (too erratic and causes some backdrop problems in Donkey Kong)

No longer have to press "ok" when selecting sound card or game. Just press enter or
double-click.

Removed 2 player modes from all games except frogger. Will be added again at a later date
when some conflicts with sounds and backgrounds are resolved.

This might be fatal, but I'm going to try and use SEAL instead of allegro sound inits. If
it works, this could reduce the music dx files by loads if the music files can be changed
and also we *should* have more control over the sounds in general.

Now is a good time to make a source backup before experimenting with SEAL.

27th January 2000
-----------------

Yesterdays history is lost, thanks a frigging bunch windows.

Fixed pacmans overlay problem, it should now run at a comparable speed if any level is
selected.

Fixed the missing heart in Ms Pacman intermission 1

Cleaned up the transparencies that were wrong in pacman and mspacman

Added the new ghost sprites into mspacman

Started to create the final bits and pieces for release. This is mainly setting the music
and sound effects to trigger in the correct places, along with some minor cleanups here
and there.


25th January 2000
-----------------

We're back online from our own home!

VegaX sent some amazing pacman stuff that is going to surprise everyone :-)

Added VegaX's new stuff into pacman, which although look very nice, cause problems,
especially in terms of speed.  There are ways around this.



24th January 2000
-----------------

Fixed up Pacman and Ms Pacman dx files to be more efficient

Fixed the lives display in Pacman and made him face the "correct" way.

Added a Mario Bros definition from the Donkey Kong one. It works pretty well.

The internet situation is looking a lot brighter! Thanks to Haze, who pointed me to
a free ISP, I may now have a 24/7 completely free ISP. If this works, 1.0 is
guaranteed a release on Saturday, as well as the fact that I will be able to
communicate with the other members of the EmuDX team more effectively! Fingers crossed!

Finally got to publish the website after only 4 days of trying. 

I am definitely missing some emails....


23rd January 2000
-----------------

Remade a couple of the Pacman backgrounds. These are much better and are probably the
ones that will be used in the release.

Cleaned up some of pacman video drawing routines.

Recieved updated graphics for Ms Pacman.

Today was the third day in a row that a beta release and website updated was needed &
planned, yet failed miserably. This is not good.


22nd January 2000
-----------------

Preliniary changes to the cpu core, mainly to get Galaga to work.

VegaX's artwork yesterday has inspired me to create a set of backgrounds for pacman,
so no longer is each level the same, but instead will change every so often, decreasing
the monotomy associated with playing pacman for long periods of time. Maybe this will
inspire people to go for higher scores ;-)

Cleaned up and seperated the games in galaxian.c This moves scramble bootleg into 
scramblb.c and zigzag into zigzag.c, along with pacman bootleg into pacmanbl.c. 

Tried to clean up Galaxian video routines, but it becomes TOO slow every time I try.

Slight modifications made to create a public build with only certain games enabled or a
"workbuild" with all the buggy, slow, badly written gamedefs included.


21st January 2000
-----------------

8days to go.. :-)

Took a quick look at Moon Patrol and it looks scary.

Ms Pacman Graphics now look better than Pacman ever did, especially with its new
background images. Is the game that started it all going to be the runt of the EmuDX1.0
Litter? (Probably as I did the graphics for Pacman, but thats going to change. )

Changed Froggers Video scroll register so that it resets upon Game reset/change.

Weird bug in the cpu reset makes Frogger hang, BombJack sometimes ignores the reset(!)

Finally fixed SCRAMBLE (Galaxian Hardware!). It even scrolls the background! Thanks to a
little help from the documentation on its hardware (MAME) :-) This also taught me how to
read the z80 program counter. The scrolling background doesnt work properly though and it
is not really playable, but it runs.

Fixed the "rack test" in pacman & mspacman.

Moved Ms Pacman out of pacman.c becuase of the differences that are occuring due to the
background artwork being added. Fortunately, we can "re-use" most of it anyway.

Ms Pacman looks BEAUTIFUL! Looking back, my graphics were crap! VegaX I owe you big time.

No seriously Ms Pacman is awesome. next Saturdays release WILL be on hold for the
remaning background art if necessary.

Fixed up Ms Pacman to display the correct backdrop for each maze. It checks for the
positions of the power pills and displays the correct one.

Fixed the power pills so that they flash. This is something that they have never done on
Ms Pacman in EmuDX before.

Started to add the sounds and music back into Pac & Ms Pacman. I'd forgotten how good
some of these are :-)


20th January 2000
-----------------

Joystick supports now works again.

Made some progress with ms Pacman graphics, although it still looks rubbish on the title
screen.. But then..

VegaX sent me some AMAZING Ms Pacman graphics, with some pretty neat looking background
artwork also. Along with some more Galaga stuff and a really cool looking Pengo
attract mode backdrop with the mountain and lake.

Games to think about...

Moon Patrol
Wiping - Does anybody want to say "Wiping DX"????
Turtles - I've never played this...



19th January 2000
-----------------

Added the second Video layer to mr do.

Fixed some minor .ini problems.

Increase the amount of characters available to 1500 (Mr Do! currently needs at least
1024). (This needs to be controlled better)

The website had an unusually large amount of visitors yesterday. No explanation as yet as
to where they were coming from either.

Tidied up unzip.c so that the compiler wouldnt bitch.

Fixed up the GUI routines.


18th January 2000
-----------------

Added a save state routine, it seems to work quite well, except it dumps the entire
contents of the Z80 memory (including any loaded roms) which probably isnt the best
thing to do. But it works thus:

	- F10 - Save a state
	- F11 - Load a state

Added 2 more options in emudx.ini

	- autoload = 1/0  : Load state upon game startup
	- autosave = 1/0  : Save state upon game startup

At some point, most of the options in the ini file will have to be changed from 0/1
to yes/no.

When a state is loaded, the update buffer is reset to 1, forcing a complete update,
rather than just the changed bits.


17th January 2000
-----------------

Added more game definitions.

	- Gyruss. works-ish. This is going to be an awesome game to DX :-)
	- Mr Do! - Totally Playable
	- Ladybug. - Starts, then halts.
	- Scramble (This was always here but it was never stated on the website, oops!)

Fixed the screen update code which was halting execution completely.

It seems Donkey Kong (US) needs some alteration in its background routine.

Set a date for release, 29th of this month. Lets see if we can do it :-)

EmuDX now frees up the memory for each cpu upon exit. It should have always done so.

Fixed Phoenix again.


16th January 2000
-----------------

Experimental .zip file support for rom images through the Zlib library and minizip. This
seems to work well.

Added "rompath" option to emudx.ini this works in the usual manner.

Added Donkey Kong (US) romset to avoid confusion.

I just noticed that on Frogger, there is a wonderful spelling error:
"1000 points for saving frogs into FIYE homes." Isn't five spelled with a V? This occurs
on all Frogger romsets I know of.

Considered including the various clones of games. Such as the speedup pacman and Galaxian
hacks. Adding these would potentially triple the amount of games supported.

Antiriad kindly let me look at the Raine GUI routines. Looking at these makes me think I
may have to re-write the lot to make it more Generic for future options.

Started to comment each function properly, and header all EmuDX source files.

Cleaned up lots of commented out lines in the Program routines that are redundant.


15th January 2000
-----------------

Galaga now goes through its startup tests, stopping at "Ram OK". This is going to be the
make or break point. Galaga uses 3 z80's at once and by the looks of things it does
some pretty wacky stuff.

Bomb Jack now works! You can actually play it, although the screen is gets in a bit of a
mess.

Bomb Jack brings the total amount of working games in EmuDX to TEN! :-) This includes
pacman bootleg

Fixed some small issues with the int_enabled problem.


14th January 2000
-----------------

Not really related to EmuDX, but:

	- I started to write my MESS frontend (MessXpress).

	- Fixed Sinvader (My first emulator). I broke it a while back and never got around
to putting it back together. If I had never finished Sinvader, I would never have
written AsciiPAC, which would never have evolved into Pac Deluxe 99, which would never
have become PacDX, which means EmuDX would never have been created. So, thank your
lucky stars that I like space invaders.

Added the blue screen lighting effect that VegaX sent to me, for when the flames turn
blue in Donkey Kong when you get the hammer.

Made Zig Zag Playable.

Created a Hyper Sports Game definition

Re-activated the other Game definitions so that they can be fixed.

For some reason, the interrupts are being called 5 times more than the screen updates.
They are set to go off equally.

Galaga is causing me to re-think the cpu calling routines. Not much needs to be changed
to make it fit into place (hopefully).


13th January 2000
-----------------

Recieved and added the Donkey Kong sound effects from Jorgen

Recieved new barrel graphics.

New pacman graphics. A step away from the original, but really nice.

Recieved more offers from people to contribute musically, graphically and with
programming.

A Brazillian Games Magazine wishes to include EmuDX on its cover CD. Is this the first
step towards a TV appearance? :-)  This will be EmuDX's second media appearance if it
goes through. (The first being Pc-Zone less than 24 hours after Pac Deluxe 99 was initial
announced)

Received the first set of Galaga graphics and made a mock up of how it will look (nice).

Though about including Hyper Sports + Track & Field.


12th January 2000
-----------------

Added another value into emudx.ini: clear_update. If set to 1, it will wipe the temporary
bitmap each screen refresh, showing only the updated parts. Using this is SLOW and not
very useful to Joe Public, but I need it to make the screen updates as fast as possible.

Added Donkey Kong screen 1 background music.

Fixed Donkey Kong Level 3 background music.

Made some improvements to the way Frogger music is handled.

Loads of changes to Frogger video routines, fixing most problems at the cost of a few fps.

EmuDX logo now drawn with a transparent edge, noticable when exiting from a game.

Made it possible to take screenshots of the GUI (F12 and A)

Added Transparency effects to frogger water animations (apart from croc)

Put the extra colour graphics to DK: (Thanks to VegaX)

	- Blue Fire when you get hammer
	- Different platform on Level 3
	- Hammer Yellow when about to dissapear
	- Blue Ghost/Fire guys when you get hammer on Level 4

All Fire characters now give off a glow (Screening effect). Fire in Barrel does not (yet)
This is __VERY__ Costly in fps, especially on level 4

Added blender = X option in emudx.ini to select if blender effects are enabled or not

Added surface_draw option in emudx.ini. If set, this draws sprites and chars DIRECTLY 
onto the screen surface, rather than a temporary bitmap. This is messy but FAST. You can
use this when you still get 30% speed with full frameskip to get a few more fps out of it.
It probably means pacman will run 640x480 on a P100, but will look terrible.

Added vsync option to emudx.ini, to be used with surface_draw option to prevent
flickering. (slower, but prettier)

Added transparency option to emudx.ini. This turns on/off transparencies as used in 
pacman & frogger.

(These extra options should be added into the GUI asap)

EmuDX.ini now saves ALL settings. The previously hidden ones are now shown. This is for
when all .ini options are accessible via the Interface.

Took the first steps in Galaga and made Bomb Jack official

Added Raine on the WWW Credits page

Todays website update for html and graphics was over TWO MEG! Which is ridiculous for a
few pages of writing and a few pictures.


11th January 2000
-----------------

Added a new EmuDX theme tune, as a trial.

Fixed GUI so that exitting from a game no longer causes weird effects when exiting from a
game.

Removed screen resolution change warning (no longer needed?)

Tried making Frogger's video routines better, but made them worse.


10th January 2000
-----------------

Removed bug which made Donkey Kong crash if the error logging was disabled.

Damn that 360 roll on the barrels look nice!

First Beta feedback, some people cant break it, others break it easily. The main cause of
these crashes seems to be the donkey kong error logging problem (oops)

Added screen_width and screen_height into emudx.ini

EmuDX now defaults to 640x480 upon startup if the requested resolution is not available.
If 640x480 is not available, you need to upgrade your graphics card.

Fixed the silly Galaxian control glitch which prevented your ship from firing when it
should (Thanks for explaining the error so detailed Tim, you could have told me it was
when you press left/right and space at the same time :-) )

Fixed the version number in the about box.

Released 1.9a Beta to the testers (because 1.9 was crap)

Recieved lots of updated graphics

	- Frogger, nice new font graphics, new turtle animations and other minor changes

	- Donkey Kong, lots of improvements all round.


9th January 2000
----------------

Moved "version" to "aaa_version" in .dx files to prevent access errors. The name is no
longer important as the version string is held in the root of the .dx file, losing the
previous access problem.

Fixed pacman & ms pacman to work nicely in 800x600

Added some sounds into Galaxian again

The Barrels in Donkey kong now "roll" (rotated as they fall down the screen full 360).
This is a vast improvement over the 2 step animation it previously had.

Removed an annoying sprite bug which made Donkey Kong reset the computer.

Added Donkey kongs sounds again, it appears there are no crashes or memory leaks now.

Released emudx1 beta 9 to the testers

Total size of dx files (zipped) = 13MB. I dont want to upload that ever again.


8th January 2000
----------------

Fixed the errorlog problem, it was something to do with emudx.ini, but should never have
interfered with it.

Lots of dx file changes:

	All of the .dx files have been rebuilt, with their version numbers.
	Seperated graphics and music into two seperate files (gamem.dx and gameg.dx)
	EmuDX now reads from a .dx file header, so that it knows where the graphics are
	located within the files. This means less work when new graphics are added or changed.

My apologies to the people who now have to download the .dx files again, but I'm the poor
sucker who has to upload them.

Forced the display into the centre of the visible screen. This means you can play Frogger
in 800x600 (with the top and bottom of the screen chopped off)

EmuDX no longer quits to dos if a rom or dx file is not found. Even if no roms are found,
it will still try and run, almost definitely exiting back to the interface if no program
roms are found. If a .dx file is not found, or is the wrong version, the game will not run.

Cleaned up the error logging

Fixed a problem caused by choosing a game that the dx file is not available or valid, then
picking it AGAIN, which was making EmuDX SIGSEGV

Cleaned up the selection of games, disabling the ones that are no good.

Put frogger's sound routine back together. With the new way that EmuDX accesses the
information in the .dx files, it is working a lot better than before.

Internet access is looking pretty sorry. Anybody want to donate some cash to pay off the
phone bill? ;-)


7th January 2000
----------------

Added the music to Donkey Kong

Removed music from Donkey Kong (causing SIGSEGV)

Recieved some mappy graphics

Tried to upload new beta and failed miserably due to a total 1.44 drive failure.

More email from people who cant get EmuDX to work because of "no game specified". The
temptation to reply with "RTFM you moron" was sustained :-)

Something weird is happening with error.log (its not working)


6th January 2000
----------------

Fixed Ms. Pacman, Pacman and Mooncresta. These were reading direct from .dx files, making
them slower and causing problems when returning to the games from the interface.

Fixed a weird problem that caused EmuDX to eat up loads of memory if games where changed a
lot.


5th January 2000
----------------

emudx.ini elaborated. Currently used parameters are:

-soundcard = n (where n is 0 - 8 and is set by the EmuDX GUI. It is unwise to hand edit this
                field)
-frameskip = n (where n is 0 - 4, written on exit)
-showfps = n (1 to show fps counter, 0 to disable)
-errorlog = n (1 to enable error logging, 0 to disable)

	showfps and errorlog are not written to the ini file. They are hidden by default

Some code cleanups, mostly removing commented out lines that are no longer used.

Discovered a more reliable way of extracting the information from the .dx files

First look at implementing software 3D rendering.

The makefile can now create a clean source tree and/or a release directory. Making releases
(both source and binaries) a piece of cake, or they would be if I could get online.

Re-organised the source code into appropriate directories. This was well overdue. The
object files created when building are also seperated, tidying things up.

Toyed with fonts for the GUI. At least we now have that choice :-)


4th January 2000
----------------

First look at the source code since last year ;-)

It looks I've fixed the remaining crash problems are fixed! (Not confirmed, but looking
good). The workaround will have to be fixed properly in the future, but for now it *seems*
to work.

Sometimes when you quit, EmuDX will spit out a load of garbage, but at least there are no
reboots, crashes, SIGSEGV etc. This sometimes affects the .ini file, but nothing fatal.

Added the new Galaxian graphics for bullets (Aliens & Ship)

Zig Zag now works (well, sort of)

Mooncresta now works properly (no sprites yet) Its also very fast.

Fixed the fps counter. The % speed is now displayed correctly.

emudx.ini re-instated.


31st December 1999
------------------

Neil Bradley fixed a few of our problems

- Speed counter doesnt crash EmuDX anymore
- Galaxian now refers to the "correct" set rather than a lame bootleg
- CPU speeds corrected. 

Last EmuDX of the 20th Century *sniff*

Dave W. suggested EmuDX might be the First emulator of 2000. If only it was that easy!

GreyBrain gave the suggestion of Asteroids with filled polygons instead of vector graphics.
(Very Feesable)

First look at "Skins", should be easy (Famous last words) to make it fit in somehow.


30th December 1999
------------------

Fixed up the Galaxian start up tests.

Made some speed ups by making some weird changes in the cpu clock speeds.

Mappy goes through some of its start up tests, but doesnt do a fat lot else.


29th December 1999
------------------

Recieved Frogger Sound effects, in >STEREO< yet again! I cant wait to get frogger working
again so I can play them!

Ok, I've *REALLY* fixed the imminent crash problem. 99% of all known crashes are now dead.


28th December 1999
------------------

Fixed the exit crash problem, and stopped EmuDX from crashing if the datafiles needed were
not present, and also fixed some other stupid crashes, although it still falls over
sometimes when exiting :-(

Broke some backups even more (oops)

Recieved The remaining Frogger Music


27th December 1999
------------------

More speed improvements, although galaxian is now being weird, and frogger is unplayable
again ;-)


26th December 1999
------------------

Put all of donkey kong together, although there are problems:

- The enhanced backgrounds dont work properly in attract mode if you died on Level 2, but
this fixes itself.

- At the start when Donkey climbs the girders, it looks totally wrong, there is no
background.

Received new galaxian graphics, this fixes the font problems, and makes a substantial
visual improvement.

Sped up Galaxian some more, and added the Galaga bullet sprite. I can get nearly 112fps
unthrottled now.


25th December 1999
------------------

Recieved Donkey Kong Sprites and Characters

For history's sake, "25 34" at the top of the page for the few of you who are interested,
was the original x-y co-ordinates in virtual space that the ghosts in pacman and mspacman
recieved their lighting effects. I have no idea how it made its way into this document, but
I'll leave it for old times sake :-)


24th December 1999
------------------

Broke lots of stuff, but made the 6809 CPU active. Space invaders doesnt work at all
anymore.


23rd December 1999
------------------

Another great day for progress! I recieved Galaxian sound effects (awsome) and they are in
STEREO! I'm going to get these working as soon as possible, along with Martin's Music.
Galaxian will then be complete!

Cleaned up the Galaxian graphics so that NAMCO is displayed properly


22nd December 1999
------------------

Pacman now 24bit colour rather than 256. This should have been done a VERY long time ago,
But in my defence, only recently has this colour depth been implemented.


20th December 1999
------------------

Frogger speedups of nearly 300%. The video was being updated where it need not be. Optimise
optimise optimise!

Fixed Frogger graphics bug that drew weird effects down the left hand side of the screen.

Implemented 24bit galaxian graphics.

Speed ups in galaxian video draw, 

Added extra colours for galaxian enemies.

Galaxian hardware is SOOO similar to frogger hardware its scary! Or should that be the
other way around? Actually, I can see now why galaxian/scramble hardware was so popular to
bootleg on. You can do anything with it!


19th December 1999
------------------

First Donkey Kong graphics, and they are looking NICE! Each game added to EmuDX seems to be
an improvement on the previous one. If we carry on this way, it is going to be one awesome
project.


18th December 1999
------------------

A software house is interested in a commercial version of EmuDX!


17th December 1999
------------------

Frogger is now 16bit colour rather than 8bit.
Frogger is now faster because the video draw code is slighter more optimised.
Frogger MUSIC now works :-)


16th December 1999
------------------

We're moving to emudx.emuviews.com as soon as I get a chance to get online!


15th December 1999
------------------

Managed to fix it, or at least make it less broken than it was yesterday. 

The new cpu structure is coming along slowly, centipede begins to run and then hangs. This
is probably due to a lack of interrupts. 

All other previously working games still work with this cpu structure (pacman, ms pacman,
frogger, galaxian, pacman bootleg, etc), so we must be on the right track.


14th December 1999
------------------

I've completely broken it! Yes thats right folks, I've taken a once working program and
made it totally screw up (including all backups!) Don't you just love it when your text
editor does a replace in files that recursivley kills the sub directories?

All is not lost however, it just doesnt compile anymore :-)

Help!


12th December 1999
------------------

I'm considering the idea of "Skins" For EmuDX, where people can draw their own graphics to
use with a given game.

We've got the new cpu cores (M6502, 6809), this means the generic cpu core has GOT to be
given the highest priority now.


11th December 1999
------------------

Fixed up the frogger sprite routines, this in turn has fixed the galaxian sprite routines
as the hardware access the graphics in an almost identical way.

Put most of frogger together graphically

Added inputs (I'll be damned if it will look this good and I can't play it!)

Added background

Coded a really crap scrolling routine... which works.

Added the pink lady frog.


10th December 1999
------------------

Frogger Graphics are HERE! (and they look like they fell from heaven :-) )


8th December 1999
-----------------

Fixed the sound selection routines, starts playing musuic upon succesful selection of a
soundcard.

Improved the Pacman/Ms. Pacman Video draw routines, giving speed improvements of at least
50%


EmuDX history file words of wisdom no. 3
----------------------------------------

Don't ring my doorbell after 9pm when I am sick, the consequences of this can be verbally
profound and lead to a swift punch in the face, especially if you want something trivial.


7th December 1999
-----------------

Recieved Galaxian Music in the mail.


EmuDX history file words of wisdom no. 2
----------------------------------------

Programming is difficult when you are ill.



4th December 1999
-----------------

More GUI progress. User can now pick screen res, and choice of game. When esc is pressed,
EmuDX returns to the GUI to choose another game or to quit. 

ZigZag (a dig dug clone) works if you swap games around. No controls are set up for this
yet though, but it looks kind of promising.

Added EmuDX logo and theme to the GUI front.

Sound card selection should now work (I cant tell as I only have 1 soundcard)

Screen resolution is now reflected in each game. If you pick a larger resoultion, smaller
games will be stretched. If you pick a small resolution, the display will be squashed. 

Optimal screen resolutions are:

Pacman, Ms Pacman - 800x600
Galaxian, Zig Zag, Pacman Bootleg - 1024x768
Space Invaders, Phoenix, Moon Cresta, Frogger, Pengo - 320x240

If a resoultion is chosen which is not the optimal one, the virtual display will have to be
stretched/squashed to accomodate the difference in screen size, meaning slower screen
updates.



3rd December 1999
-----------------

Started work on the EmuDX GUI, which lets the user define all sorts of definable things. At
the moment, it just lets you pick a game, which replaces picking one from the command line,
and then doesnt let you pick another one (it just keeps re-starting the same game
over&over).

Galaxian now has a wonderful universe background

Pacman & MsPacman had their sounds & music put back in place (yipee!)

Joysticks are finding their way back into the main program.

I've got frogger to work now in a sort of weird fashion. its totally unplayable unless you
can guess from the display where the cars/logs are. Galaxian started much the same way.....

Pacman (bootleg on pisces hardware) now works using the galaxian game outline, much in the
same way as make trax works on the pacman one (with totally screwed graphics).



2nd December 1999
-----------------

Galaxian graphics are all now in place, albeit a few glitches which will dissapear soon.


1st December 1999
-----------------

I deserve a kick up the ass for this. I found out the reason why galaxian, donkey kong,
pengo (and others) weren't working in EmuDX, it was because i wasnt resetting the cpu! What
an IDIOT :-)

Anyway, galaxian, donkey kong etc now work (in a fashion)

EmuDX history file words of wisdom no. 1
----------------------------------------

Reset your Processor before running your roms.


30th November 1999
------------------

Added Space Invaders, even though we cant DX it, I just added it for the nostalgia factor,
even though a zillion other emulators support it already.

Galaxian is really begining to P*** me off, I'm either really stupid or really useless, as
it just downright refuses to run. Maybe I should stick to Speak&Math....


29th November 1999
------------------

All of the code has been given a re-write, causing some problems, but solving a lot of
others. This does mean however that we are a small step closer to Galaga!

Music and sound effects dont work.
Sprite routines are broken (trippy in pacman & ms pacman)
Phoenix works, with no scrolling backgrounds.
Galaxian is broken, doesnt even get past the warm up tests.

Pacman and Ms Pacman are playable (sort of)

This may look bad, BUT it is relatively easy to add new games into EmuDX, and I'm under the
impression that this will get even easier as time goes on.


19th November 1999
------------------

Fixed in game music start position in Pacman (still broken in Ms Pacman)


18th November 1999
------------------

Fixed Ms Pacman sprite problem, which made mspacman look weird in certain poses.

Added command line switch

-trans n    - transparency factor of ghosts, or none for no transparency.
              n can be between 1 and 255, where 1 is the most transparent, 255 is almost
              solid

-nodx       - run the game with original graphics 

This can be changed on the fly in-game with "D" for original and "X" for DX


Tried to run pengo using the Pacman graphics and it looked stupid


17th November 1999
------------------

Added command line options:
-joystick   - enabled joystick support
-nosound    - disable sounds
-fskip n    - force frameskip where n = 0-4


Real Mspacman/Pacman connectivity in EmuDX
Joystick support (Not fully tested yet)
lots of other bits and pieces

First Public Beta release


14th November 1999
------------------

Stripped and re-built all of the Graphics functions. 
Gave the font a facelift
Tidied up the maze walls to be less blocky
Pacman now has nearly all of its sounds in place.

Due to the resolution change, the minimum spec has now gone up. It will not run on my
486/100 anymore, and does not like my P166 without frameskip. Minimum spec machine will now
not be known until a beta release is made.

More MsPacman progress (not as far as Pacman yet, but...)


12th November 1999
------------------

Back on track, or as close to the track as I can get.  The internet situation is still
pretty rough, but at least I can now get to my e-mail at least once per week, which
although is not the best of deals, is better than nothing.

Started coding the intro sequence and main interface.
In-game music now working in a fashion
Ms. Pacman & PacMan now work from the same emulator! If this goes well and doesn't fall
over, then I shall add Phoenix also, and see what happens from there.


11th November 1999
------------------

My Internet access is now so badly crippled that continuing as I am doing seems hopeless as
it is virtually impossible to comunicate with other members of the team.

Graphics engine now 50% re-written, with speed increase of 300% and up on previous 800x600
mode

Released an early beta for higher resolution pacman graphics.

Interviewed by JoseQ for Emuviews


8th November 1999
-----------------

Bulletproof-sounds now declared as an "Official" part of the EMUDX team. 
Progress with the sound is now moving at a phenomenal rate.
Preperations to re-write the graphics engine to be more generic now in progress.


6th November 1999
-----------------

Galaxian now almost works. A few interrupts here and there and it'll be ready for the
"treatment" ;-)

4th November 1999
-----------------

Moved over from Marat's Z80 core to use Neil Bradley's Awesome MZ80. (Thanks to Neil
himself!) 
Speed improvements due to cpu core change of 200% and up!
"HIGH SCORE" & "CREDIT" now displayed properly (due to cpu core change)
New sound effects implemented.


2nd Novemeber 1999
------------------
Recieved lots of sound effects and music in the mail, which sound REALLY good in-game!


29th October 1999
-----------------

LOTS of Ms PACMAN improvements!
New graphics drawn for DX view


28th October 1999
-----------------

Got PHOENIX running at last! (Standard, non-DX mode). This is looking like the most likely
candidate for being the next machine in EMUDX, after Ms PacMan. 

Phoenix status:
	FULLY playable
	Side by side split screen graphics layers
	Wrong colours

No plans to include it into the main EMUDX program (yet) because of the imminent CPU core
change.


27th October 1999
-----------------

More MsPacMan progress
Lots of code cleanups
Preparations to change over to Neil Bradley's MZ80 ASM CPU core


23rd October 1999
-----------------

Added Frameskipping code, activate by F1(all frames) to F5 (least frames)
Added Throttling code to prevent pacdx running too quickly on fast machines
PACDX now runs on a 486/100!!!!!! (with max frameskip in 640x480)
Added de-throttle key 0 (only works with frameskip, pacdx should NEVER run over 60fps)
Removed sound and buggy joystick routine for the first public release
PACDX now compatible with the HOTROD arcade stick!
Added keys F6/F7 which switches between 640x480 normal and 800x600 stretched modes


20th October 1999
-----------------

Changed the transparency on the ghosts so that they are clearer
Added a sort of "3D-look" to the maze walls
Fixed the new shiny dots.
Fixed the intermittent fruit misfigure problem


19th October 1999
-----------------

Been too busy to update this section and now I've forgotten what happened!

<Guesswork>
Changed some more fruit graphics.
Changed Ghosts scared graphics so that their eyes are now white instead of red.
Added some more MsPacDX code, but came across lots of problems with the graphics.
</Guesswork>


7th October 1999
----------------

Big speed increases on low spec machines due to the z80 interrupts being handled more
efficiently (and more correctly?).


4th October 1999
----------------

It seems like the speed problem on slower machines is being caused by the interrupts. 


2nd October 1999
----------------

Preliminary backdrop support for intermissions
Removed joystick support because it didn't work properly
Improved the graphics for some "fruit"
"Dots" now have lighting effects (doesn't work on all boards for some reason)
Matched up the text colours to the ghost colours on the title screen

Released Pacdx Beta 4


30th September 1999
-------------------

Preliminary mspacdx progress from pacdx code (graphics are messed up)
More efficient transparency effects.
Sounds support is making progress, start and eat sounds now work 100%


28th September 1999
-------------------

Lots of code cleanups
Transparency effects on ghosts (watch out for when they pass each other!)


23rd September 1999
-------------------

Replaced the maze walls with the new faded blue, looks fantastic
Replaced the dots and pills with new graphics



22nd September 1999
-------------------

Finished all the extra graphics needed
Fixed the screenshot problem
Fixed the speed "too fast" problem (still runs slow on low end machines)
Fixed some of the background colours
Made the fruit on the bottom, and ghosts on the title screen to be "dx" rather than classic
Ghosts now "flash" when ready to change back
Backed up all current source and graphics, because if i lose what I've already done, you
may as well forget development :-(


21st September 1999
-------------------

Tidied up the source code
Experimented with a few graphics
Fixed (or at least tried to) the sound problem


20th September 1999
-------------------

Created a stable "dx" emulator outline to work with from a VERY basic pacman emulator
written from:

A Pacman machine memory map
TextPad
DJGPP
Allegro
Z80 Emulator by Marat Fayzullin

Published a website, and got a fantastic response, so got to work!

Released pacdx01 beta
